$freeform
!@***c* MLT_RSS/AMSU_File_Locations.f90
!  NAME
!    AMSU_File_Locations.f90
! 
!  PURPOSE
!    Module containing file locations for AMSU processing
! 
!  DESCRIPTION
!    Module containing file locations for AMSU processing
! 
!  AUTHOR
!    Carl Mears, Remote Sensing Systems
! 
! COPYRIGHT
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE COPYRIGHT 2012 REMOTE SENSING SYSTEMS.  
!   THEY ARE PROVIDED FOR INFORMATIONAL AND ALGORITHM VERIFICATION PURPOSES ONLY 
!   AND MAY NOT BE USED IN WHOLE OR IN PART FOR ANY OTHER PURPOSE WITHOUT WRITTEN
!   PERMISSION FROM REMOTE SENSING SYSTEMS.  THEY ARE FURNISHED "AS IS." THE 
!   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
!   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
!   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
!   TO USERS.
! 
!  HISTORY
!    8/15/2012 Initial Version prepared for NCDC
! 
!  USAGE
!    use AMSU_File_Locations
!@*****
$freeform
Module AMSU_File_Locations
	character(len = 150),parameter :: AMSU_L1A_Path =			    'm:\MSU_AMSU_Data\AMSU-A_L1A\' 
	character(len = 38 ),parameter :: AMSU_L1B_Path =			    'm:\MSU_AMSU_Data\AMSU-A_L1B\' 
	character(len = 38 ),parameter :: AMSU_L2A_Path =			    'm:\MSU_AMSU_Data\AMSU-A_L2A\'
	character(len = 38 ),parameter :: AMSU_L2A_Path_R2 =		    'm:\MSU_AMSU_Data\AMSU-A_L2A_r2\'
	character(len = 45 ),parameter :: AMSU_L2A_Path_NCEP =		    'm:\MSU_AMSU_Data\AMSU-A_L2A_ncep_eia\'
	character(len = 38 ),parameter :: AMSU_L2A_QA_Path =		    'm:\MSU_AMSU_Data\AMSU-A_L2A_QA\'
	character(len = 38 ),parameter :: AMSU_L2B_Path =			    '\\Ops1d\m\MSU_AMSU_Dev\AMSU-A_L2B\'
	 
	character(len = 150),parameter :: AMSU_L2C_Path =			    'm:\MSU_AMSU_Data\AMSU-A_L2C\'
	character(len = 150),parameter :: AMSU_Daily_Hist_Path =	    'm:\MSU_AMSU_Data\\AMSU-A_L2C\Daily_Histograms\' 
	character(len = 150),parameter :: AMSU_Monthly_Map_Path =	    'm:\MSU_AMSU_Data\AMSU-A_L2C\Monthly_Maps\'
	!character(len = 150),parameter :: AMSU_Monthly_Map_Path_dev =	'\\ops1d\m\MSU_AMSU_Dev\AMSU-A_L2C\Monthly_Maps\'
	character(len = 150),parameter :: AMSU_Monthly_Map_Path_dev2 =	'm:\MSU_AMSU_Dev\AMSU-A_L2C\Monthly_Maps\'
	character(len = 150),parameter :: AMSU_Monthly_Map_Path_V4 =	'm:\MSU_AMSU_Data\AMSU-A_L2C\Monthly_Maps_V4\'

	character(len = 150),parameter :: AMSU_GRPT_TS_Path =		    'm:\MSU_AMSU_Data\AMSU-A_L2C\GrPt_Time_Series\'  
	character(len = 150),parameter :: MSU_GRPT_TS_Path =		    'm:\MSU_AMSU_Data\\AMSU-A_L2C\GRPT_Time_Series\'
	character(len = 150),parameter :: AMSU_ZONAL_PENTAD_PATH =	    'm:\MSU_AMSU_Data\AMSU-A_L2C\Zonal_Pentads\'  
	character(len = 150),parameter :: AMSU_ZONAL_MONTHLY_PATH =	    'm:\MSU_AMSU_Data\AMSU-A_L2C\zonal_months\'
	character(len = 150),parameter :: AMSU_NAVIGATION_PATH =        'm:\MSU_AMSU_data\AMSU_Navigation\'
	character(len = 150),parameter :: AMSU_ADJUSTMENT_PATH =        'm:\MSU_AMSU_data\AMSU_Adjustments\'
	character(len = 150),parameter :: MSU_ADJUSTMENT_PATH =         'm:\MSU_AMSU_data\MSU_Adjustments\'

end module AMSU_File_locations