$freeform
module get_file_list

	use portlib

contains

;@***h* MLT_V4_RSS/get_files_in_path
; NAME
;	get_files_in_path
;
; PURPOSE
;	gets a list of files in path
;
; DESCRIPTION
;	gets a list of files in path
;
; INPUTS
;	path			character(len = 120)	path to be examined
;	max_files		integer(4)			maximum number of files to be listed
;
; OUTPUTS
;	num_files		integer(4)		number of files found and listed
;	file_list		character(len = 120),dimension(:) 	list of files found
;	error			integer(4)		error flag.  Set to 0 is OK, -1 if directory command fails
;
; AUTHOR
;	Carl Mears, Remote Sensing Systems
;
; COPYRIGHT
;	THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
;	THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE
;	AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES,
;	AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE
;	SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
;	THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT TO USERS.
;
; HISTORY
;	4/10/2018 Initial Version prepared for NCEI
;
; USAGE
;	call 	subroutine get_files_in_path(path,max_files,num_files,file_list,error)
;
;@*****

	subroutine get_files_in_path(path,max_files,num_files,file_list,error)

		character(len = 120)					:: path
		integer(4)								:: max_files
		integer(4)								:: num_files
		character(len = 120),dimension(:)		:: file_list
		integer(4)								:: error

		character(len = 120)					:: command
		integer(4)								:: result





		! create command to put directory in tmp.txt

		command = 'dir ' // trim(path) // ' /b > c:\temp\dirtemp.txt'
		result = system(command)
		print *, result
		call sleepqq(1000)

		if (result .eq. 0) then

			open(unit = 3,file = 'c:\temp\dirtemp.txt')

			do j = 1,MAX_FILES !max_files in in the MSU_L1B_Ingest module
				read(3,100,end=999) file_list(j)
100				format(a120)
			enddo

999			command = 'del c:\temp\dirtemp.txt'
			result = system(command)

			num_files = j-1

			close(3)
                  error = 0
			return

		endif
		
		num_files = 0
		error = -1
		
		return

	end subroutine get_files_in_path

end module get_file_list