##@***h* MLT_V4_RSS/Process_AMSU_v4_monthlies.py
## NAME
##   MLT_V4_RSS/Process_AMSU_v4_monthlies.py
##
## PURPOSE
##   driver program to call fortran routines that process AMSU L2A orbit data to L2C monthly maps
##
## DESCRIPTION
##   driver program to call fortran routines that process AMSU L2A orbit data to L2C monthly maps
##
## INPUTS
##   no formal input.  File can be editted to adjust date range, diurnal model used, etc.
##
## OUTPUTS
##   none
##
## AUTHOR
##   Carl Mears, Remote Sensing Systems
##
## COPYRIGHT
##   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
##   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE
##   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES,
##   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE
##   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
##   THE USE OF THE SOFTWARE AND DOCUMENTATION## OR (2) TO PROVIDE TECHNICAL SUPPORT
##   TO USERS.
##
## HISTORY
##   4/10/2018 Initial Version prepared for NCDC
##
## USAGE
##   python process_AMSU_v4_monthlies.py
##
##@*****

import subprocess

sat_num_list = ['10','11','13','14','15','16','17']
channel_list = ['C05']
diurnal_str = 'CCM3'

for channel_str in channel_list:
    for sat_num_str in sat_num_list:
        for year in range(2018,2019):
            print year
            year_str = str(year)
            exe_path = 'B:/Users/mears/Visual Studio 2008/Projects/Make_AMSU_Monthlies_by_FOV/Make_AMSU_Monthlies_by_FOV/Debug/Make_AMSU_Monthlies_by_FOV.exe'
            success = subprocess.Popen([exe_path,sat_num_str,channel_str,year_str,diurnal_str])
            nothing_useful = success.communicate()  # need this line to force subprocess to wait for fortran .exe. to complete
            print 'Finished: '+sat_num_str+' '+channel_str+' '+year_str

			
sat_num_list = ['10','11','13','14','15','16','17']
channel_list = ['C07']
diurnal_str = 'CCM3'

for channel_str in channel_list:
    for sat_num_str in sat_num_list:
        for year in range(2018,2019):
            print year
            year_str = str(year)
            exe_path = 'B:/Users/mears/Visual Studio 2008/Projects/Make_AMSU_Monthlies_by_FOV/Make_AMSU_Monthlies_by_FOV/Debug/Make_AMSU_Monthlies_by_FOV.exe'
            success = subprocess.Popen([exe_path,sat_num_str,channel_str,year_str,diurnal_str])
            nothing_useful = success.communicate()  # need this line to force subprocess to wait for fortran .exe. to complete
            print 'Finished: '+sat_num_str+' '+channel_str+' '+year_str
			
			
sat_num_list = ['10','11','13','14','15','16','17']
channel_list = ['C09']
diurnal_str = 'CCM3'

for channel_str in channel_list:
    for sat_num_str in sat_num_list:
        for year in range(2018,2019):
            print year
            year_str = str(year)
            exe_path = 'B:/Users/mears/Visual Studio 2008/Projects/Make_AMSU_Monthlies_by_FOV/Make_AMSU_Monthlies_by_FOV/Debug/Make_AMSU_Monthlies_by_FOV.exe'
            success = subprocess.Popen([exe_path,sat_num_str,channel_str,year_str,diurnal_str])
            nothing_useful = success.communicate()  # need this line to force subprocess to wait for fortran .exe. to complete
            print 'Finished: '+sat_num_str+' '+channel_str+' '+year_str