;@***h* MLT_V4_RSS/read_ncep_nadir_adj.pro
; NAME
;   read_ncep_nadir_adj.pro
;
; PURPOSE
;   reads msu ncep angle adjustment arrays
;
; DESCRIPTION
;   reads msu ncep angle adjustment arrays
;
; INPUTS
;   channel   integer, AMSU channel number
;   month     integer, 1..12, month number
;
; OUTPUTS
;   adj_array array of reals (3,15,144,72) of angle adjustment parameters.
;
; AUTHOR
;   Carl Mears, Remote Sensing Systems
;
; COPYRIGHT
;   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
;   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE
;   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES,
;   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE
;   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
;   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT
;   TO USERS.
;
; HISTORY
;   4/10/2018 Initial Version prepared for NCDC
;
; USAGE
;   read_ncep_nadir_adj,5,10,adj_array
;
;@*****
;
;

pro read_ncep_nadir_adj,channel,month,adj_array
  file = string(channel,month,format = '("M:\MSU_AMSU_DATA\AMSU_Adjustments\NCEP_modeled_amsu_tbs\channel_",i2.2,"\amsu_tbs_from_ncep_LTM_month_",i2.2,".dat")')
  close,3
  openr,3,file
  adj_array = fltarr(3,15,144,72)
  readu,3,adj_array
  close,3
end