



;period to use to calculate merge parameters
start_month   = 252
end_month     = 311

;period to use in merge
last_msu_month = 311
first_amsu_month = 249

MSU_L3_Path =  'M:\MSU_AMSU_Data\AMSU-A_L3\MSU_AMSU_V4_op\Merge_Monthly_MSU_FOV_V4\results\'
AMSU_L3_Path = 'M:\MSU_AMSU_Data\AMSU-A_L3\MSU_AMSU_V4_op\Merge_Monthly_AMSU_FOV_V4\results\'
Combined_L3_Path = 'M:\MSU_AMSU_Data\AMSU-A_L3\MSU_AMSU_V4_op\Combine_MSU_AMSU_FOV_V4\results\'
Log_Path = 'M:\MSU_AMSU_Data\AMSU-A_L3\MSU_AMSU_V4_op\Combine_MSU_AMSU_FOV_V4\logs\'
defsysv,'!AMSU_L3_Plot_Path','M:\MSU_AMSU_Data\AMSU-A_L3\MSU_AMSU_V4_op\Combine_MSU_AMSU_FOV_V4\plots\'
ok = check_path(Combined_L3_Path,/create)
pl = check_path(!AMSU_L3_Plot_Path,/create)
 
channels = ['TLT','TMT','TTS','TLS']
process  = [ 0,    1,    0,   0]

do_freq_adjust_for_MSU = 0

channel_index = 1
msu_version_num = 1
amsu_version_num = 1
version_num = 1
channel = channels[channel_index]
if process[channel_index] gt 0 then begin
		case channel of
			'TLT': begin
			  msu_version_num = 1
			  amsu_version_num = 11
				amsu_file = AMSU_L3_Path+'AMSU_only\RSS_Tb_Maps_ch_TLT_V3_3_'+string(amsu_version_num,format='(i3.3)')+'.nc'
				msu_file  = MSU_L3_Path+'MSU_only\RSS_Tb_Maps_ch_TLT_V3_3_'+string(msu_version_num,format='(i3.3)')+'.nc'
				version_num = 1
				end
			'TMT': begin
				msu_file  = MSU_L3_Path+'RSS_Tb_Maps_ch_TMT_V4_0_'+string(msu_version_num,format='(i5.5)')+'.nc'
				amsu_file = AMSU_L3_Path+'RSS_Tb_Maps_ch_TMT_V4_0_'+string(amsu_version_num,format='(i7.7)')+'.nc'
				msu_channel = 2
				version_str=string(msu_version_num,format = '(i5.5)') + '_' + string(amsu_version_num,format = '(i7.7)')
				end
			'TTS': begin
			  msu_version_num = 1
			  amsu_version_num = 11
				amsu_file = AMSU_L3_Path+'AMSU_only\RSS_Tb_Maps_ch_07_V3_3_'+string(amsu_version_num,format='(i3.3)')+'.nc'
				msu_file  = MSU_L3_Path+'MSU_only\RSS_Tb_Maps_ch_TTS_V3_3_'+string(msu_version_num,format='(i3.3)')+'.nc'
				msu_channel =3
				version_num = 1
				end
			'TLS': begin
			  msu_version_num = 1
        amsu_version_num = 11
				amsu_file = AMSU_L3_Path+'AMSU_only\RSS_Tb_Maps_ch_09_V3_3_'+string(amsu_version_num,format='(i3.3)')+'.nc'
				msu_file  = MSU_L3_Path+'MSU_only\RSS_Tb_Maps_ch_TLS_V3_3_'+string(msu_version_num,format='(i3.3)')+'.nc'
				msu_channel = 4
				version_num = 1
				end
		endcase

    defsysv,'!log_lun',2                            ;B:\MSU_AMSU\IDL_MSU_AMSU_V4\Combine_MSU_AMSU_FOV_V4
    ok = check_path(log_path,/create)
    log_file = Log_Path + string(channel,version_num,format='("merge_log_amsu_channel_",a,"_v4.0.",i7.7,".log.txt")')
    close,!log_lun
    openw,!log_lun,log_file
    print,log_file
    

    
    log,'Info: MSU AMSU Combine V4.0 log file"
    log,'Info:','Channel = ',channel
    log,'Info:','Version Num = 4.0.'+string(version_num,format = '(i7.7)')
		log,'Info:  reading '+amsu_file

		read_monthly_amsu_tbs_netcdf_4_0,file = amsu_file,               $
                longitude = longitude,        $
                latitude  = latitude,         $
                long_bounds = long_bounds,    $
                lat_bounds  = lat_bounds,     $
                months = months,              $
                years  = years,               $
                mean_tb_maps = amsu_tbs_temp, $
                fov_wts = amsu_fov_wts,            $
                offsets=amsu_offsets,              $
                target_factors=amsu_target_factors,$
                target_means = amsu_target_means,  $
                tb_Factors=amsu_tb_factors,        $
                satellites_used = amsu_satellites_used_temp,           $
                date_L2C_processed = date_L2C_processed,     $
                global_Attributes = amsu_global_Attributes, $
                msu_amsu_diff = msu_amsu_diff

    ; extend the AMSU arrays back in time to 1978 -- fill with NAN
    sz = size(amsu_satellites_used_temp,/dimensions)
    num_months = sz[1]+240
    num_sats = sz[0]
    amsu_tbs = replicate(!values.f_nan,144,72,num_months)
    amsu_satellites_used = bytarr(num_sats,num_months)
    amsu_satellites_used[*,240:num_months-1] = amsu_satellites_used_temp
    amsu_tbs[*,*,240:num_months-1] = amsu_tbs_temp
		sz_amsu = size(amsu_tbs,/dimensions)
		;amsu_tbs[*,*,247] = !values.f_nan


		log,'Info: reading '+msu_file
		
		read_msu_only_merged_Tbs_144_72_netcdf_4_0,      $
		  msu_file,                   $
		  longitude = longitude,      $
		  latitude = latitude,        $
		  fov_wts = fov_wts,          $
		  Tbs_144_72 = msu_tbs_temp,   $
		  channel_str=channel_str,    $
		  version_num=msu_version_num,    $
		  diurnal_model = diurnal_model,    $
		  eia_model = eia_model,            $
		  offsets = msu_offsets,        $
		  target_factors = msu_target_factors, $
		  target_means = msu_target_means,           $
		  tb_factors = msu_tb_factors,        $
		  months_used = msu_satellites_used_temp,         $
		  global_attributes = msu_global_attributes
		  
		  
		; extend the msu array so that it is the same length as the AMSU array
		sz_msu = size(msu_tbs_temp,/dimensions)
		msu_satellites_used = bytarr(9,sz_amsu[2])
		msu_satellites_used[*,0:sz_msu[2]-1] = msu_satellites_used_temp
		msu_tbs = replicate(!values.f_nan,144,72,sz_amsu[2])
		msu_tbs[*,*,0:sz_msu[2]-1] = msu_tbs_temp
		msu_tbs[*,*,last_msu_month+1:sz_amsu[2]-1] = !values.f_nan

		
;		if do_freq_adjust_for_MSU then begin
;		  
;		  log,'Info:  Performing MSU freq drift adjustment'
;		  restore,'B:\MSU_AMSU\IDL_MSU_AMSU_V4\Combine_MSU_AMSU_FOV_V4\freq_adjustment\freq_adj_msu_chan2_by_month.sav',/verbose
;		  
;		  mean_diff_map_by_month_rss = fltarr(144,72,12)
;		  for m = 0,11 do begin
;		    mean_diff_map_by_month_rss[*,*,m] = rebin(mean_diff_map_by_month[*,*,m],144,72) 
;		  endfor
;		  for month = 240,num_months-1 do begin
;		    shift_factor = (month-240.0)*0.03
;		    msu_tbs[*,*,month] = msu_tbs[*,*,month] + shift_factor*mean_diff_map_by_month_rss[*,*,month mod 12]
;		  endfor
;		  
;		endif
;		
;		------------------------------------------------------------------------
;    fit annual harmonic fit to the difference time series at each point
;   ------------------------------------------------------------------------
		length = end_month-start_month+1
		create_harmonic_basis,2,length,12,basis,linear = 1,constant=1
		sigma_in = replicate(1.0,length)

		msu_amsu_diff = replicate(!values.f_nan,144,72,12)
		msu_amsu_diff_smooth = replicate(!values.f_nan,144,72,12)
		msu_amsu_diff_coeff = replicate(!values.f_nan,144,72,6)
		msu_amsu_lin_error = replicate(!values.f_nan,144,72)
		msu_amsu_mean_diff = replicate(!values.f_nan,144,72)
		msu_amsu_harm_diff = replicate(!values.f_nan,144,72)


    ; fit the differences at each point to a harmonic series.
		for ilat = 0,71 do begin
			for ilon = 0,143 do begin
				msu_ts = reform(msu_tbs[ilon,ilat,*])
				amsu_ts = reform(amsu_tbs[ilon,ilat,*])
				diff_ts = msu_ts - amsu_ts
				ok = where(finite(diff_ts),ct)

				if ct gt 12 then begin

					diff_ts2 = diff_ts[start_month:end_month]

					ok = where(finite(diff_ts2) eq 1,ct)
					if ct ge 12 then begin

						lin_regress_SVD,basis[*,ok],diff_ts2[ok],sigma_in[ok],A,sigma_out,fit,error
						a = real_part(a)
						fit_no_linear = a[0]*basis[0,*] + a[1]*basis[1,*] + a[2]*basis[2,*] + a[3]*basis[3,*] + a[5]*basis[5,*]
						msu_amsu_diff[ilon,ilat,*] = fit_no_linear[0:11]
						msu_amsu_diff_coeff[ilon,ilat,*] = a
						msu_amsu_lin_error[ilon,ilat] = a[4]*2.0  ; convert to K/decade
						msu_amsu_mean_diff[ilon,ilat] = a[5]
						msu_amsu_harm_diff[ilon,ilat] = sqrt(a[0]^2 + a[1]^2 + a[2]^2 + a[3]^2)

					endif
				endif
			endfor
		endfor

		; smooth the fitting parameters using a spherical harmonic fit
		; the degree of the fit is controlled by the L_max parameter, currently 9
		L_max = 9
    msu_amsu_diff_to_use = msu_amsu_diff
		if ((channel ne 'TMT') and (channel ne 'TLT')) then begin
			sigma_in = replicate(1.0,144,72)
			for i = 0,5 do begin
				y_lm_fit,msu_amsu_diff_coeff[*,*,i],sigma_in,L_max,fitted_map,coeff
				msu_amsu_diff_coeff[*,*,i] = fitted_map
			endfor

      ;reconstruct monthly differences from the smoothed fitting parameters
      
			for ilat = 0,71 do begin
				for ilon = 0,143 do begin
					a = reform(msu_amsu_diff_coeff[ilon,ilat,*])
					fit_no_linear = a[0]*basis[0,*] + a[1]*basis[1,*] + a[2]*basis[2,*] + a[3]*basis[3,*] + a[5]*basis[5,*]
					msu_amsu_diff_smooth[ilon,ilat,*] = fit_no_linear[0:11]
					msu_amsu_mean_diff[ilon,ilat] = a[5]
				endfor
			endfor
			msu_amsu_diff_to_use = msu_amsu_diff_smooth
		endif

		; adjust the AMSU data to match the MSU data using this harmonic fit

		amsu_tbs_adj = replicate(!values.f_nan,144,72,sz_amsu[2])
		diff_maps = replicate(!values.f_nan,144,72,sz_amsu[2])

		for m = first_amsu_month,sz_amsu[2]-1 do begin
			amsu_tbs_adj[*,*,m] = amsu_tbs[*,*,m] + msu_amsu_diff_to_use[*,*,(m mod 12)]
		endfor
		
		yrs = 1978.0 + 1.0/24.0 + findgen(num_months)/12
		trend_diff_map = replicate(!values.f_nan,144,72)
		for ilon = 0,143 do begin
		  for ilat = 0,71 do begin
		    diff_ts_1999_2003 = reform(msu_tbs[ilon,ilat,252:252+59] - amsu_tbs_Adj[ilon,ilat,252:252+59])
		    ok = where(finite(diff_ts_1999_2003) eq 1,ct)
		    if ct gt 30 then begin
		      fit = linfit(yrs[0:59],diff_ts_1999_2003)
		      trend_diff_map[ilon,ilat] = 10.0*fit[1]
		    endif
		  endfor
		endfor
		      
		; combine the two products with equal wts equal to the number of satellites averaged

		combined_tbs = fltarr(sz_amsu[0],sz_amsu[1],sz_amsu[2])
		mn_diff = replicate(!values.f_nan,sz_amsu[2])
    mn_diff2 = replicate(!values.f_nan,sz_amsu[2])
    mn_diff3 = replicate(!values.f_nan,sz_amsu[2])
    mn_diff4 = replicate(!values.f_nan,sz_amsu[2])
		stddev_diff = replicate(!values.f_nan,sz_amsu[2])
		
		num_msus_used = total(msu_satellites_used,1)
		num_amsus_used = total(amsu_satellites_used,1)

		for m = 0,sz_amsu[2]-1 do begin

			ok_map 	= intarr(sz_amsu[0],sz_amsu[1])
			map 	= fltarr(sz_amsu[0],sz_amsu[1])

			mp_msu = msu_tbs[*,*,m]
			ok_msu = where(finite(mp_msu),ct_msu)
			if ct_msu gt 0 then begin
				ok_map[ok_msu] = ok_map[ok_msu] + num_msus_used[m]
				map[ok_msu] = map[ok_msu] + num_msus_used[m]*mp_msu[ok_msu]
			endif

			mp_amsu = amsu_tbs_adj[*,*,m]
			ok_amsu = where(finite(mp_amsu),ct_amsu)
			if ((ct_amsu gt 0) and (m ge start_month)) then begin
				ok_map[ok_amsu] = ok_map[ok_amsu] + num_amsus_used[m]
				map[ok_amsu] = map[ok_amsu] + num_amsus_used[m]*mp_amsu[ok_amsu]
			endif

			if ((ct_amsu gt 0) and (ct_msu gt 0)) then begin
				diff_map = mp_msu - mp_amsu
				diff_maps[*,*,m] = diff_map
				ok = where(finite(diff_map),ct)
				if ct gt 0 then begin
				  lat_wts = fltarr(72)
				  lat_wts[8:63]=1.0
					mn_diff[m] = mean(diff_map[ok])
          mn_diff2[m] = compute_global_average_from_144_72_map(diff_map,lat_wts); surf_str = surf_str,no_cosine = no_cosine,max_alt=max_alt
          mn_diff3[m] = compute_global_average_from_144_72_map(diff_map,lat_wts,surf_str = 'Sea');,no_cosine = no_cosine,max_alt=max_alt
          mn_diff4[m] = compute_global_average_from_144_72_map(diff_map,lat_wts,surf_str = 'Land');,no_cosine = no_cosine,max_alt=max_alt
					stddev_diff[m] = stddev(diff_map[ok])
				endif
			endif
			map = map/ok_map
			combined_tbs[*,*,m] = map
		endfor
		
		zonal_mean_arr = replicate(!values.f_nan,72,444,3,3)

		for month = 0,443 do begin
		    map = msu_tbs[*,*,month]
		    zonal_mean = compute_zonal_average_from_144_72_map(map)
        zonal_mean_arr[*,month,0,2] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Land')
        zonal_mean_arr[*,month,0,0] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Sea')
        zonal_mean_arr[*,month,0,1] = zonal_mean
		    
		    map = amsu_tbs[*,*,month]
        zonal_mean = compute_zonal_average_from_144_72_map(map)
        zonal_mean_arr[*,month,1,2] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Land')
        zonal_mean_arr[*,month,1,0] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Sea')
        zonal_mean_arr[*,month,1,1] = zonal_mean

		    map = amsu_tbs_adj[*,*,month]
        zonal_mean = compute_zonal_average_from_144_72_map(map)
        zonal_mean_arr[*,month,2,2] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Land')
        zonal_mean_arr[*,month,2,0] = zonal_mean
        zonal_mean = compute_zonal_average_from_144_72_map(map,surf_str = 'Sea')
        zonal_mean_arr[*,month,2,1] = zonal_mean
		    
		    
		endfor
		
    zonal_mean_diff = reform(zonal_mean_arr[*,*,0,*] - zonal_mean_Arr[*,*,1,*])
    zonal_mean_diff_adj = reform(zonal_mean_arr[*,*,0,*] - zonal_mean_Arr[*,*,2,*])
    
    adj_diff_1999_2000 = total(amsu_tbs_adj[*,*,252:252+23],3)/24.0 - total(msu_tbs[*,*,252:252+23],3)/24.0
    adj_diff_2002_2003 = total(amsu_tbs_adj[*,*,288:288+23],3)/24.0 - total(msu_tbs[*,*,288:288+23],3)/24.0
    

		

		start_month = 240
		start_year = 1998
		end_year = start_year + 7
		end_month = start_month + 83
    zonal_diff_arr_to_plot = zonal_mean_diff[*,start_month:end_month,*]
    zonal_diff_arr_to_plot_Adj = zonal_mean_diff_adj[*,start_month:end_month,*]
	

		

;		if channel eq 'TLT' then begin
;			chng_to_midnight_TLT,combined_tbs,mean_tb_map_midnight,noon_midnight_diff = noon_midnight_diff
;		endif else begin
;			chng_to_midnight,msu_channel,combined_tbs,mean_tb_map_midnight,noon_midnight_diff = noon_midnight_diff
;		endelse

		;add 0.29 offset into channel TMT for legacy agreement
		;this will end in version 4.0
		;if channel eq 'TMT' then begin
		;	mean_tb_map_midnight = mean_tb_map_midnight+0.29
		;	noon_midnight_diff = noon_midnight_diff + 0.29
		;endif
				
		;write_adj_arrays_AMSU_nc,channel,msu_amsu_diff_to_use,noon_midnight_diff
		
    ps_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_combine_4_0_report.",a,".ps")')
    if do_freq_adjust_for_MSU then begin
      ps_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_combine_4_0_report.",a,".MSU_freq_drift.ps")')
    endif
    log,'Info: Postscript file = '+ps_file
    set_up_ps,file = ps_file,xsize=6.0,ysize=9.0
		!p.multi = [0,1,2]
		fix_colors,colors=colors
		!p.background = 255
		!p.color = 0
		yrs = findgen(sz_amsu[2])/12.0 +1.0/24 + 1978.0
		plot,yrs,mn_diff,xrange=[1998,2006],yrange=[-0.3,0.3],ystyle=1,/nodata,xtitle = 'Year', $
		ytitle = 'Global MSU minus AMSU '+channel+' (K)'
		oplot,yrs,mn_diff2,thick=2
    oplot,yrs,mn_diff4,color=200,thick=2
    oplot,yrs,mn_diff3,color=40,thick=2
		plot,yrs,stddev_diff,xrange=[1998,2006],yrange=[0.0,1.0],xtitle = 'Year', $
		ytitle = 'Standard_Deviation: MSU_'+channel+' minus AMSU_'+channel+' (K)'
		
		p = plot(yrs,mn_diff2,dimension = [800,500],xrange=[1998,2005],yrange=[-0.35,0.2])
		p.xtitle = 'Year'
		p.ytitle = 'MSU_'+channel+' minus AMSU '+channel+' (K)'
		p.xminor = 1
		p.yminor = 1
	  ok = where(((finite(mn_diff) eq 1) and (yrs ge 1999) and (yrs lt 2006)),ct)
	  fit = linfit(yrs[ok],mn_diff2[ok])
	  line = fit[0] + fit[1]*yrs
	  
	  p1 = plot(yrs[ok],line[ok],/overplot,name = string(fit[1]*10.0,format = '("Trend (Land+Ocean) = ",f6.3," K per decade")'))
	  
	  
	  p4 = plot(yrs,mn_diff3,/overplot,color='blue')
	  fit = linfit(yrs[ok],mn_diff3[ok])
	  line = fit[0] + fit[1]*yrs
	  p2 = plot(yrs[ok],line[ok],/overplot,color='blue',name=string(fit[1]*10.0,format = '("Trend (Ocean) = ",f6.3," K per decade")'))

	  fit = linfit(yrs[ok],mn_diff4[ok])
	  line = fit[0] + fit[1]*yrs
	  p5 = plot(yrs,mn_diff4,/overplot,color='brown')

	  p3 = plot(yrs[ok],line[ok],/overplot,color='brown',name = string(fit[1]*10.0,format = '("Trend (Land) = ",f6.3," K per decade")'))

	  l = legend(position = [2003.2,-0.15],target = [p1,p2,p3],/data)
		
		png_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_diff_ts_.",a,".png")')
		p.save,png_file
	  ;ps_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_diff_ts_.",a,".png")')
	  ;p.save,ps_file
	  p.close
		;
		;-----------------------------------------
		; Plot these plots for paper
		;-----------------------------------------
		
		
		p = plot(yrs,mn_diff2,dimension = [800,400],xrange=[1998,2005],yrange=[-0.15,0.15])
	  p.xtitle = 'Year'
	  p.ytitle = 'MSU_'+channel+' minus AMSU '+channel+' (K)'
	  p.xminor = 1
	  p.yminor = 1
	  ok = where(finite(mn_diff) eq 1,ct)
	  fit = linfit(yrs[ok],mn_diff2[ok])
	  line = fit[0] + fit[1]*yrs

	  p1 = plot(yrs[ok],line[ok],/overplot,name = string(fit[1]*10.0,format = '("Trend (Land+Ocean) = ",f6.3," K per decade")'))
	  p4 = plot(yrs,mn_diff3,/overplot,color='blue')
	  fit = linfit(yrs[ok],mn_diff3[ok])
	  line = fit[0] + fit[1]*yrs
	  p2 = plot(yrs[ok],line[ok],/overplot,color='blue',name=string(fit[1]*10.0,format = '("Trend (Ocean) = ",f6.3," K per decade")'))

	  fit = linfit(yrs[ok],mn_diff4[ok])
	  line = fit[0] + fit[1]*yrs
	  p5 = plot(yrs,mn_diff4,/overplot,color='brown')

	  p3 = plot(yrs[ok],line[ok],/overplot,color='brown',name = string(fit[1]*10.0,format = '("Trend (Land) = ",f6.3," K per decade")'))

	  ;l = legend(position = [2003.2,-0.15],target = [p1,p2,p3],/data)

	  png_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_diff_ts_.",a,".paper.png")')
	  p.save,png_file
	  ps_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_diff_ts_.",a,".paper.ps")')
	  p.save,ps_file

	  ;ps_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_diff_ts_.",a,".png")')
	  ;p.save,ps_file
	  p.close
	  plot_map,-1.0*trend_diff_map,range=[-2.,2.],zrange=[-0.5,0.5],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Trend Diff,1999-2003, Channel '+channel,$
	      position = [0.0,0.666,1.0,1.0],/plot_land_sea
    plot_map,msu_amsu_mean_diff,range=[-5.,5.],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Mean Diff,1999-2003, Channel '+channel,$
        position = [0.0,0.333,1.0,0.666],/plot_land_sea
    plot_map,msu_amsu_harm_diff,range=[-2.,2.],zrange=[-0.5,0.5],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Harmonic Amplitude Diff,1999-2003, Channel '+channel,$
        position = [0.0,0.,1.0,0.333],/plot_land_sea
        
    plot,[0,0],[1,1],color=colors.white
    plot_map,adj_diff_1999_2000,range=[-0.5,0.5],zrange=[-0.2,0.2],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Diff,1999-2000, Channel '+channel,$
        position = [0.0,0.666,1.0,1.0],/plot_land_sea
    plot_map,adj_diff_2002_2003,range=[-0.5,0.5],zrange=[-0.2,0.2],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Mean Diff,2002-2003, Channel '+channel,$
        position = [0.0,0.333,1.0,0.666],/plot_land_sea
    plot_map,adj_diff_2002_2003 - adj_diff_1999_2000,range=[-0.5,0.5],zrange=[-0.2,0.2],/plot_zonal,/plot_bar,/map_plt,title = 'MSU - AMSU Mean Diff,2002-2003 minus 1999-2000, Channel '+channel,$
        position = [0.0,0.,1.0,0.333],/plot_land_sea
        
    
    plot,[0,0],[1,1],color=colors.white
        
    
      positions = [[0.0,0.5,1.0,1.0],[0.0,0.0,1.0,0.5]]

      ok = read_discrete_color_table('X:\idl_color_tables\santer2.dclr',color_table)
      color_offset = round_to(mean(zonal_diff_arr_to_plot,/nan),0.1)
      color_edges = color_offset + (0.1 * (findgen(13)-6.0))

      plot_2d_array_discrete_colors,            $
        transpose(zonal_diff_arr_to_plot[*,*,2]),            $
        xrange=[start_year,end_year],           $
        yrange=[-90.0,90.0],                $
        color_edges = color_edges,      $
        plot_bar = 1,           $
        units = 'Temperature Difference (K)',  $
        title = 'MSU minus AMSU', $
        xtitle = 'Year',ytitle='Latitude',position = positions[*,0]  ;pos=[0.1,0.3,0.9,0.90]

      color_offset = round_to(mean(zonal_diff_arr_to_plot_adj,/nan),0.1)
      color_edges = color_offset + (0.05 * (findgen(13)-6.0))

      plot_2d_array_discrete_colors,            $
        transpose(zonal_diff_arr_to_plot_adj[*,*,2]),            $
        xrange=[start_year,end_year],           $
        yrange=[-90.0,90.0],                $
        color_edges = color_edges,      $
        plot_bar = 1,           $
        units = 'Temperature Difference (K)',  $
        title = 'MSU minus AMSU', $
        xtitle = 'Year',ytitle='Latitude',position = positions[*,1],/noerase  ;pos=[0.1,0.3,0.9,0.90]


       zonal_trend_array = replicate(!values.f_nan,72)
       for ilat = 0,71 do begin
          ts = zonal_diff_Arr_to_plot_adj[ilat,*,2]
          yrs = 1998.0 + findgen(84)/12.0
          ok = where(finite(ts) eq 1,ct)
          if ct gt 60 then begin
            fit = linfit(yrs[ok],ts[ok])
            zonal_trend_array[ilat] = 10.0*fit[1]
          endif
       endfor
       
       lats = -88.75 + findgen(72)*2.5
       plot,lats,zonal_trend_array,yrange=[-0.5,0.5],xrange=[-90,90],xstyle=1
		device,/close
		set_win
		
		; merge together offset, target factor, and Tb factor arrays
		offsets 		= transpose([transpose(msu_offsets),transpose(amsu_offsets)])
		target_factors 	= transpose([transpose(msu_target_factors),transpose(amsu_target_Factors)])
		tb_factors 	= transpose([transpose(msu_tb_factors),transpose(amsu_tb_Factors)])

		; merge together the satellites used variables

			sz_msu  = size(msu_satellites_used, /dimensions)
			sz_amsu = size(amsu_satellites_used,/dimensions)
			max_months = max([sz_msu[1],sz_amsu[1]])
			total_num_sat = sz_msu[0]+sz_amsu[0]
			satellites_used = intarr(total_num_sat,max_months)
			satellites_used[0:sz_msu[0]-1,0:sz_msu[1]-1] = msu_satellites_used
			satellites_used[sz_msu[0]:sz_msu[0]+sz_amsu[0]-1,0:sz_amsu[1]-1] = amsu_satellites_used


			write_msu_amsu_merged_Tbs_144_72_netcdf_4_0,				$
					Tbs_144_72 = combined_tbs,					$
					channel_str=channel,								$
					version_num=version_num,								$
					offsets = offsets,									$
					target_factors = target_factors,					$
					tb_Factors = tb_factors,							$
					satellites_used = satellites_used,					$
					date_L2C_processed = date_L2C_processed,			$
					msu_global_Attributes=msu_global_Attributes,		$
					amsu_global_Attributes=amsu_global_Attributes,		$
					msu_amsu_diff=msu_amsu_diff_to_use,  $
					output_path = Combined_L3_Path
					

			save_file =string(!AMSU_L3_Plot_Path,channel,channel,version_str,format='(a,a,"\",a,"_msu_amsu_combine_4_0_report.",a,".sav")')
      zonal_diff_arr_to_plot_v4 = zonal_diff_arr_to_plot
      zonal_diff_arr_to_plot_adj_v4 = zonal_diff_arr_to_plot_adj
      trend_diff_map_v4 = trend_diff_map
      msu_amsu_mean_diff_v4 = msu_amsu_mean_diff
      msu_amsu_harm_diff_v4 = msu_amsu_harm_diff
      adj_diff_1999_2000_v4 = adj_diff_1999_2000
      adj_diff_2002_2003_v4 = adj_diff_2002_2003
      save,file=save_file,zonal_diff_arr_to_plot_v4,zonal_diff_arr_to_plot_adj_v4, $
                trend_diff_map_v4, msu_amsu_mean_diff_v4,msu_amsu_harm_diff_v4,        $
                adj_diff_1999_2000_v4,adj_diff_2002_2003_v4

endif

end
